Error tratando de instalar gem mysql


#1

Este es el error que recibo al abrir una consola Win32: (Estoy usando
todo lo que trae InstantRails 2.0)

C:\ruby\bin>gem install mysql
Bulk updating Gem source index for: http://gems.rubyforge.org
ERROR: could not find mysql locally or in a repository

Sin embargo al hacer:

C:\ruby\bin>gem list --local

*** LOCAL GEMS ***

actionmailer (2.0.2)
actionpack (2.0.2)
activerecord (2.0.2)
activeresource (2.0.2)
activesupport (2.0.2)
capistrano (2.1.0)
cgi_multipart_eof_fix (2.5.0)
cmdparse (2.0.2)
fxri (0.3.6)
fxruby (1.6.12)
gem_plugin (0.2.3)
highline (1.4.0)
hpricot (0.6)
log4r (1.0.5)
mongrel (1.1.2)
mysql (2.7.3)
needle (1.3.0)
net-sftp (1.1.0)
net-ssh (1.1.2)
rails (2.0.2)
rake (0.8.1, 0.8.0, 0.7.3)
rubygems-update (1.0.1)
sources (0.0.1)
sqlite3-ruby (1.2.1)
win32-api (1.0.4)
win32-clipboard (0.4.3)
win32-dir (0.3.2)
win32-eventlog (0.4.6)
win32-file (0.5.4)
win32-file-stat (1.2.7)
win32-process (0.5.3)
win32-sapi (0.1.4)
win32-sound (0.4.1)
windows-api (0.2.0)
windows-pr (0.7.2)

Como se come esto señores??? Ahi dice clarito que la tengo instalada no???


Visite nuestra web en Internet
http://www.ispvc.rimed.cu
“50 Años de Educación en
Revolución”

XI Encuentro Internacional de Economistas sobre Globalización y Problemas
del Desarrollo 2 al 6 de marzo de 2009


Este mensaje ha sido analizado por MailScanner
en busca de virus y otros contenidos peligrosos,
y se considera que está limpio.


#2

El 14/01/2009, a las 21:06, Yoel
escribió:

*** LOCAL GEMS ***

mysql (2.7.3)

Como se come esto señores??? Ahi dice clarito que la tengo instalada
no???

Yo creo que lo que te dice es que no encuentra la gema para instalar
en ningún repositorio, aunque luego tú si la tienes en tu máquina.
¿Por qué quieres instalarla si ya la tienes instalada? Te dará otro
error, supongo…


#3

intetaste usandolo con el flag -r? supuestamente esto hace que busque en
repositorios externos, aunque parece que ya la tienes instalada:

gem install -r mysql

Saludos.

2009/1/14 aitor alzola removed_email_address@domain.invalid


#4

Otra cosa adicional, ten cuidado que no tengas instalado también jruby,
u otra versión de ruby, ya que a mi me pasó que gem se confundió por que
en el path tenía dos rutas diferentes a las carpetas bin de sendas
instalaciones y mientras caí en cuenta perdí tiempo valioso,

Yoel
escribió:> Este es el error que recibo al abrir una consola Win32: (Estoy usando


#5

aitor alzola wrote:

Yo creo que lo que te dice es que no encuentra la gema para instalar
en ningún repositorio, aunque luego tú si la tienes en tu máquina.
¿Por qué quieres instalarla si ya la tienes instalada? Te dará otro
error, supongo…

Si… bueno lo que pasa es que estoy probando RadRails como plugin de
Aptana Studio y pues hube de buscar en la instalacion de InstantRails lo
que necesitaba… al final fue el directorio ruby completo lo que
extraje pues no queria nada de las cositas extras que trae el
InstantRails como apache, mysql y eso… pues ya lo tenia de otra
instalacion (WAMP)… y bien segun lei una vez el ruby que trae IR no es
exactamente el mismo shipment oficial sino una rama de ellos aparte…
al igual que hace ActivePerl o ActivePython … es esto correcto??? Me
doy cuenta porque haciendo rails --help obtengo cositas diferentes a las
que obtengo cuando mi plataforma es linux… o sea… porq ahi tambien
debe andar la cosa…

Y en cuanto al path a que path te refieres es al path de mi maquina…
mi environment (que de hecho solo tengo el bin de C:\ruby\bin de IR) o
al loadpath de la app rails???


Visite nuestra web en Internet
http://www.ispvc.rimed.cu
“50 Años de Educación en
Revolución”

XI Encuentro Internacional de Economistas sobre Globalización y Problemas
del Desarrollo 2 al 6 de marzo de 2009
http://www.anec.cu/


Este mensaje ha sido analizado por MailScanner
en busca de virus y otros contenidos peligrosos,
y se considera que está limpio.


#6

2009/1/15 Yoel removed_email_address@domain.invalid:

debe andar la cosa…
Salvo que vayas por modem a 56K si no quieres InstantRails no te andes
con copias :-), es mas claro desinstalar eso e instalar lo normal.